<?php
/**
 * Navigation Links
 * Older/Newer posts links on the home/posts page and archive pages. 
 */
?>

<?php 
	// Test if the WP Pagenavi plugin is activated
	if ( function_exists('wp_pagenavi') ) {
		wp_pagenavi();
	} elseif ( $wp_query->max_num_pages > 1 ) {
?>
        <div class="navigation">
            <p class="alignleft"><?php next_posts_link( __( '&laquo; Older posts', 'fap' ) ); ?></p>
            <p class="alignright"><?php previous_posts_link( __( 'Newer posts &raquo;', 'fap' ) ); ?></p>
        </div> <!-- .navigation -->
<?php } ?>