<?php 

get_header();

if ( !empty( $foption['intro_text'] ) ) 
	echo '<div id="intro">' . do_shortcode( htmlspecialchars_decode( $foption['intro_text'] ) ) . '</div>';
	
?>

<div id="main">
    
	<?php 
		// Get excluded cats and remove them from the loop
		$getexcats = $foption['exclude_cats'];
		
		global $wp_query;
		query_posts(
			array_merge(
				array( 'category__not_in' => $getexcats ),
				$wp_query->query
			)
		);
		
		if ( have_posts() ) while ( have_posts() ) : the_post(); 
    ?>
    
        <div <?php post_class(); ?>>
        
            <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
            
            <p class="entry-meta">
				<?php
					printf( __( 'Posted in %1$s by <a href="%2$s" class="url fn n" title="%3$s">%4$s</a>', 'fap' ),
						get_the_category_list(', '),
						get_author_posts_url( get_the_author_meta( 'ID' ) ),
						sprintf( esc_attr__( 'View all posts by %s', 'fap' ), get_the_author() ),
						get_the_author()
					);
					
					echo ' | ';
					comments_popup_link( __( 'Leave a comment', 'fap' ), __( '1 Comment', 'fap' ), __( '% Comments', 'fap' ) ); 
					
					edit_post_link( __( 'Edit' ), ' | ' );
                ?>
            </p>
            
            <?php 
				if ( has_post_thumbnail() )
					the_post_thumbnail( 'post-thumbnail' );
				
				the_content( __('Continue reading &raquo;', 'fap') );
				
				wp_link_pages( array( 'before' => '<p class="pages">' . __( 'Pages:', 'fap' ), 'after' => '</p>' ) );
            ?>
            
            <p class="entry-date">
            	<?php fap_date(); ?>
            </p>
            
            <div class="clear"></div>
        
        </div> <!-- end .post-<?php the_ID(); ?> -->
    
    <?php 
		endwhile; 
		
		get_template_part( 'navigation', 'index' );
    ?>
    
</div> <!-- end #main -->
    
<?php
	get_sidebar();
	get_footer();
?>