<?php get_header(); ?>

<div id="main">

	<?php 
		// Support for the Yoast Breadcrumb plugin and Breadcrumb Trail
		if ( function_exists( 'yoast_breadcrumb' ) )
			yoast_breadcrumb( '<p class="breadcrumbs">', '</p>' ); 
		elseif ( function_exists( 'breadcrumb_trail' ) )
			breadcrumb_trail();
    ?>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

    <div <?php post_class(); ?>>
    
        <h1 class="entry-title"><?php the_title(); ?></h1>
        
        <p class="entry-meta">
			<?php
				printf( __( 'Posted in %1$s by <a href="%2$s" class="url fn n" title="%3$s">%4$s</a>', 'fap' ),
					get_the_category_list(', '),
					get_author_posts_url( get_the_author_meta( 'ID' ) ),
					sprintf( esc_attr__( 'View all posts by %s', 'fap' ), get_the_author() ),
					get_the_author()
				);
				
				edit_post_link( __( 'Edit' ), ' | ' );
            ?>
        </p>
        
        <?php 
			if ( has_post_thumbnail() )
				the_post_thumbnail( 'post-thumbnail' );
			
			the_content();
			
			wp_link_pages( array( 'before' => '<p class="pages">' . __( 'Pages:', 'fap' ), 'after' => '</p>' ) );
        ?>
        
        <p class="entry-date">
        	<?php fap_date(); ?>
        </p>
    
    </div> <!-- end .post-<?php the_ID(); ?> -->
    
    <?php
		// Single post widget area
		if ( is_active_sidebar( 'single-widgets' ) )
			dynamic_sidebar( 'single-widgets' );
    ?>
    
    <?php comments_template( '', true ); ?>

<?php endwhile; // end of the loop ?>

</div> <!-- end #main -->

<?php
	get_sidebar();
	get_footer();
?>